<?php
require'f_galerie.php';
require'f_admin.php';
$titlu='Adaugă poza';
$back[2]='<a href="/admin-adauga-poze">'.img('administrare.png',1).'Adaugă poze</a>';
require'f_sus.php';
$dimensiune_maxima=3000;
$alwidth=200;
$alheight=200;
$extensii_acceptate=['jpg','jpeg','png'];
if(isset($_FILES['fisier']))
{
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
$nume_fisier=$_FILES['fisier']['name'];
$extensie=mb_strtolower(pathinfo($nume_fisier)['extension']);
[$width,$height]=getimagesize($_FILES['fisier']['tmp_name']);
$eroare='';
if(!in_array($extensie,$extensii_acceptate))
$eroare.='Fișierul: <strong>'.$nume_fisier.'</strong> nu este acceptat, se accepta doar fișiere cu extensiile: gif, jpg, jpeg, png!';
if($_FILES['fisier']['size']>$dimensiune_maxima*1000)
$eroare.='Marimea fișierului nu trebuie să depaseasca '.$dimensiune_maxima.'!';
if($width<=$alwidth||$height<=$alheight)
$eroare.='Rezolutia minima trebuie să fie mai mare de '.$alwidth.'X'.$alheight.' pixeli!';
if($eroare=='')
{
$nume=seo(nume($la,1)).'('.$adresasite[3].')'.$_SERVER['REQUEST_TIME'].'.'.pathinfo($nume_fisier,PATHINFO_EXTENSION);
$temporar='log/'.$nume;
if(move_uploaded_file($_FILES['fisier']['tmp_name'],$temporar))
{
require'clasa_imagine.php';
$thumb=new Thumbnail($temporar);
$thumb->archive_dir='img/poze';
[$width,$height]=getimagesize($temporar);
if($width<400)
$thumb->img_watermark='img/logo_poze/mic.png';
elseif($width>400||$width<800)
$thumb->img_watermark='img/logo_poze/mij.png';
elseif($width>800)
$thumb->img_watermark='img/logo_poze/mare.png';
if($width<400)
$thumb->size($width,$height);
elseif($width>400||$width<800)
$thumb->size_auto(700);
elseif($width>800||$width<1200)
$thumb->size_auto(1000);
elseif($width>1200)
$thumb->size_auto(1200);
$thumb->process();
$filename=$thumb->unique_filename($nume);
$status=$thumb->save($filename);
$dirmare='img/poze/mare-'.$filename;
copy($filename,$dirmare);
unlink($filename);
$thumb1=new Thumbnail($temporar);
$thumb1->archive_dir='img/poze';
$thumb1->img_watermark='img/logo_poze/thumb.png';
$thumb1->size_auto(175);
$thumb1->process();
$filename1=$thumb1->unique_filename($nume);
$status1=$thumb1->save($filename1);
$dirmic='img/poze/mica-'.$filename1;
copy($filename1,$dirmic);
unlink($filename1);
unlink($temporar);
if($conn->query('INSERT INTO`galerie_poze`SET`de`="'.$la.'",`sex`="'.($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0]=='F'?2:1).'",`nume_original`="'.$nume_fisier.'",`mare`="'.$dirmare.'",`mica`="'.$dirmic.'",`descriere`="'.$pmtext.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`fid`="0",`raportat`="0"'))
{
require'f_notificare.php';
notificare('ti-am adăugat o poză în galerie, o să primești o notificare la validarea sau respingerea acestei poze',$la,$de);
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a adăugat poza [b]'.$nume_fisier.'[/b] pentru",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Poza adaugata!<br />'.nume($la).' va primi o notificare de la un administrator, cand aceasta poza va fi validată sau ștearsă!'.$div[0].$div[10].'Descriere poza: <strong>'.$pmtext.'</strong><br />Nume fișier: <strong>'.$nume_fisier.'</strong><br />Format: <strong>.'.$extensie.'</strong>';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Poza nu a putut fi inserată în baza de date, schimba-i numele, adauga-i o descriere, și încearcă din nou!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Eroare de upload!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].$eroare;
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai selectat nici un fișier!';
echo$div[0];
require'f_jos.php';